Skip to main content

Project Endpoints

MethodPathScopeDescription
GET/projectsprojects:readList projects
POST/projectsprojects:writeCreate a project
GET/projects/:idprojects:readGet a project
PATCH/projects/:idprojects:writeUpdate a project
DELETE/projects/:idprojects:writeDelete a project
POST/projects/:id/moveprojects:writeMove project to a folder

Folder Endpoints

MethodPathScopeDescription
GET/foldersprojects:readList folders
POST/foldersprojects:writeCreate a folder
PATCH/folders/:idprojects:writeUpdate a folder
DELETE/folders/:idprojects:writeDelete a folder

List Projects

curl "https://my.clarife.app/api/v1/projects?limit=20&offset=0" \
  -H "Authorization: Bearer clrf_your_key"
Query parameters:
ParamTypeDefaultDescription
limitinteger50Results per page (max 100)
offsetinteger0Number of results to skip
folder_iduuidFilter by parent folder
Response:
{
  "data": [
    {
      "id": "p1a2b3c4-...",
      "name": "Product Docs",
      "icon": "book",
      "color": "#6366F1",
      "folder_id": null,
      "document_count": 12,
      "created_at": "2026-03-10T08:00:00Z"
    }
  ],
  "total": 1,
  "limit": 20,
  "offset": 0
}

Create a Project

curl -X POST https://my.clarife.app/api/v1/projects \
  -H "Authorization: Bearer clrf_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Onboarding Guides",
    "icon": "graduation-cap",
    "color": "#10B981",
    "folder_id": "f1a2b3c4-..."
  }'
FieldTypeRequiredDescription
namestringYesProject name (max 100 chars)
iconstringNoIcon identifier (67 available)
colorstringNoHex color code
folder_iduuidNoParent folder

Get a Project

curl https://my.clarife.app/api/v1/projects/p1a2b3c4-... \
  -H "Authorization: Bearer clrf_your_key"
Returns the project with its document list.

Update a Project

curl -X PATCH https://my.clarife.app/api/v1/projects/p1a2b3c4-... \
  -H "Authorization: Bearer clrf_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "name": "New Name", "color": "#EF4444" }'

Delete a Project

curl -X DELETE https://my.clarife.app/api/v1/projects/p1a2b3c4-... \
  -H "Authorization: Bearer clrf_your_key"
Deleting a project does not delete its documents. Documents are unlinked and moved to the root level.

Move a Project

Move a project into a different folder (or to the root level by passing null):
curl -X POST https://my.clarife.app/api/v1/projects/p1a2b3c4-.../move \
  -H "Authorization: Bearer clrf_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "folder_id": "f2b3c4d5-..." }'

List Folders

curl https://my.clarife.app/api/v1/folders \
  -H "Authorization: Bearer clrf_your_key"

Create a Folder

curl -X POST https://my.clarife.app/api/v1/folders \
  -H "Authorization: Bearer clrf_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Q2 Documentation" }'
FieldTypeRequiredDescription
namestringYesFolder name (max 100 chars)

Update a Folder

curl -X PATCH https://my.clarife.app/api/v1/folders/f1a2b3c4-... \
  -H "Authorization: Bearer clrf_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Renamed Folder" }'

Delete a Folder

curl -X DELETE https://my.clarife.app/api/v1/folders/f1a2b3c4-... \
  -H "Authorization: Bearer clrf_your_key"
Deleting a folder moves its projects to the root level. Projects and their documents are not deleted.